public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Anthony G. Basile" <blueness@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pypax/
Date: Wed, 28 Nov 2018 21:51:31 +0000 (UTC)	[thread overview]
Message-ID: <1543441720.2b3e01eb2245b331d74081dad921553dc6e4ab5a.blueness@gentoo> (raw)

commit:     2b3e01eb2245b331d74081dad921553dc6e4ab5a
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 28 21:48:40 2018 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Wed Nov 28 21:48:40 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b3e01eb

dev-python/pypax: version bump to 0.9.3, fixes bug #648454

Closes: https://bugs.gentoo.org/648454
Signed-off-by: Anthony G. Basile <blueness <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-python/pypax/Manifest           |  1 +
 dev-python/pypax/pypax-0.9.3.ebuild | 48 +++++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-python/pypax/Manifest b/dev-python/pypax/Manifest
index db8a24120ca..c09e6771f9f 100644
--- a/dev-python/pypax/Manifest
+++ b/dev-python/pypax/Manifest
@@ -1 +1,2 @@
 DIST elfix-0.9.2.tar.gz 398758 BLAKE2B 22f8d9e85be2ae9bd906dfa6a1d8b7614f017686b4563ef7e97898a112a56cff59a8cb906ec957b7a111a5c9251a3de6b13dfb66ef9f732099ac610928d5321e SHA512 a7be30722abe7249ec42024d33b2bda00524cfb85da66b4511c5056efbdbfae1d3c2b42048bcf4d5cb7c0ae675f763b74a834d93a25b541ebac42fddcd2c6cf9
+DIST elfix-0.9.3.tar.gz 399533 BLAKE2B 7ff2099218de3352079564971cd2e3851a95820552b9057387b78945fb1a23d7b670591b174dc974ca2b0dcf3948546578a210687cbb16625dc5d638abf83169 SHA512 3395ce2e6d5e9fc9bdd93b58751cea33b5fb8e25e0a390e6261de6804cc54d4e1f91b4b5843fc45c9178d86d23e9932bf9d0f133a6d086607bf52ce16c65fd0d

diff --git a/dev-python/pypax/pypax-0.9.3.ebuild b/dev-python/pypax/pypax-0.9.3.ebuild
new file mode 100644
index 00000000000..e803f0780cb
--- /dev/null
+++ b/dev-python/pypax/pypax-0.9.3.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy )
+
+inherit distutils-r1
+
+if [[ ${PV} == *9999* ]] ; then
+	EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/elfix.git"
+	inherit git-r3
+else
+	SRC_URI="https://dev.gentoo.org/~blueness/elfix/elfix-${PV}.tar.gz"
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+	S="${WORKDIR}/elfix-${PV}"
+fi
+
+DESCRIPTION="Python module to get or set either PT_PAX and/or XATTR_PAX flags"
+HOMEPAGE="https://dev.gentoo.org/~blueness/elfix/
+	https://www.gentoo.org/proj/en/hardened/pax-quickstart.xml"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="+ptpax +xtpax"
+
+REQUIRED_USE="|| ( ptpax xtpax )"
+
+RDEPEND="
+	ptpax? ( dev-libs/elfutils )
+	xtpax? ( sys-apps/attr )"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	${RDEPEND}"
+
+src_compile() {
+	cd scripts || die
+	unset PTPAX
+	unset XTPAX
+	use ptpax && export PTPAX="yes"
+	use xtpax && export XTPAX="yes"
+	distutils-r1_src_compile
+}
+
+src_install() {
+	cd scripts || die
+	distutils-r1_src_install
+}


             reply	other threads:[~2018-11-28 21:51 UTC|newest]

Thread overview: 79+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-11-28 21:51 Anthony G. Basile [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-08  6:18 [gentoo-commits] repo/gentoo:master commit in: dev-python/pypax/ Michał Górny
2024-06-03  6:34 Sam James
2024-06-01 23:07 Sam James
2024-06-01 19:29 Sam James
2024-06-01 19:29 Sam James
2024-06-01 19:29 Sam James
2024-06-01 19:29 Sam James
2024-06-01 19:29 Sam James
2024-05-30  0:43 Patrick McLean
2023-05-04 16:30 Michał Górny
2023-04-08 13:30 Michał Górny
2023-01-11  8:07 Sam James
2023-01-11  8:07 Sam James
2022-03-18 11:41 Michał Górny
2022-03-18 11:41 Michał Górny
2022-03-18  9:34 Arthur Zamarin
2022-03-17  7:45 Agostino Sarubbo
2022-03-16 23:53 Sam James
2022-03-16 23:53 Sam James
2022-03-16 18:41 Patrick McLean
2022-03-15 18:23 Jakov Smolić
2022-03-15 17:56 Jakov Smolić
2022-01-29 22:09 Michał Górny
2021-08-20 14:21 Marek Szuba
2021-06-01 10:44 Sam James
2020-12-11 15:08 Michał Górny
2020-02-21 14:11 Michał Górny
2020-02-05 19:53 Michał Górny
2019-12-09 22:14 Anthony G. Basile
2019-12-09 21:49 Anthony G. Basile
2019-05-23 13:16 Mikle Kolyada
2019-05-07 18:03 Tobias Klausmann
2019-05-03  7:11 Sergei Trofimovich
2019-04-30  9:55 Mikle Kolyada
2019-04-28 20:34 Thomas Deutschmann
2019-04-28 13:03 Sergei Trofimovich
2019-04-28  7:42 Sergei Trofimovich
2019-04-27 15:48 Sergei Trofimovich
2019-04-27  8:47 Sergei Trofimovich
2019-04-26  1:47 Aaron Bauman
2019-04-23  0:25 Anthony G. Basile
2019-04-13 10:42 Anthony G. Basile
2019-01-28 13:06 Anthony G. Basile
2019-01-23 13:41 Mikle Kolyada
2018-12-27 17:19 Matt Turner
2018-12-26 20:00 Sergei Trofimovich
2018-12-26 13:55 Sergei Trofimovich
2018-12-15 22:39 Sergei Trofimovich
2018-12-14 22:44 Sergei Trofimovich
2018-12-14 22:22 Sergei Trofimovich
2018-12-14  2:13 Thomas Deutschmann
2018-12-13 21:22 Rick Farina
2018-12-13 20:59 Anthony G. Basile
2018-12-08  9:44 Sergei Trofimovich
2018-12-08  9:36 Sergei Trofimovich
2018-12-07  2:41 Thomas Deutschmann
2018-12-03  6:43 Mikle Kolyada
2018-12-01 14:51 Sergei Trofimovich
2018-04-27 22:11 Anthony G. Basile
2017-06-20  8:42 Alexis Ballier
2017-05-05 15:07 Manuel Rüger
2017-03-13 16:25 Manuel Rüger
2016-08-22  0:22 Anthony G. Basile
2016-08-21 23:53 Anthony G. Basile
2016-08-21 23:48 Anthony G. Basile
2015-11-23  9:25 Agostino Sarubbo
2015-11-16 14:19 Agostino Sarubbo
2015-11-10 18:57 Markus Meier
2015-11-05 11:20 Agostino Sarubbo
2015-11-04 15:17 Agostino Sarubbo
2015-11-03 16:18 Agostino Sarubbo
2015-11-01 11:16 Jeroen Roovers
2015-10-30  9:18 Agostino Sarubbo
2015-10-29  7:05 Jeroen Roovers
2015-10-27 20:11 Anthony G. Basile
2015-10-27 20:05 Anthony G. Basile
2015-09-04  0:07 Anthony G. Basile
2015-09-04  0:05 Anthony G. Basile

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1543441720.2b3e01eb2245b331d74081dad921553dc6e4ab5a.blueness@gentoo \
    --to=blueness@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox